メインコンテンツへスキップ
PATCH
/
events
/
v3
/
event-definitions
/
{eventName}
/
property
/
{propertyName}
既存のカスタムイベントプロパティーを更新
curl --request PATCH \
  --url https://api.hubapi.com/events/v3/event-definitions/{eventName}/property/{propertyName} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "description": "<string>",
  "label": "<string>",
  "options": [
    {
      "displayOrder": 123,
      "hidden": true,
      "label": "<string>",
      "value": "<string>",
      "description": "<string>"
    }
  ]
}
'
import requests

url = "https://api.hubapi.com/events/v3/event-definitions/{eventName}/property/{propertyName}"

payload = {
"description": "<string>",
"label": "<string>",
"options": [
{
"displayOrder": 123,
"hidden": True,
"label": "<string>",
"value": "<string>",
"description": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
description: '<string>',
label: '<string>',
options: [
{
displayOrder: 123,
hidden: true,
label: '<string>',
value: '<string>',
description: '<string>'
}
]
})
};

fetch('https://api.hubapi.com/events/v3/event-definitions/{eventName}/property/{propertyName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "description": "<string>",
  "fieldType": "<string>",
  "groupName": "<string>",
  "label": "<string>",
  "name": "<string>",
  "options": [
    {
      "hidden": true,
      "label": "<string>",
      "value": "<string>",
      "description": "<string>",
      "displayOrder": 123
    }
  ],
  "type": "<string>",
  "archived": true,
  "archivedAt": "2023-11-07T05:31:56Z",
  "calculated": true,
  "calculationFormula": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "createdUserId": "<string>",
  "currencyPropertyName": "<string>",
  "displayOrder": 123,
  "externalOptions": true,
  "formField": true,
  "hasUniqueValue": true,
  "hidden": false,
  "hubspotDefined": true,
  "modificationMetadata": {
    "archivable": true,
    "readOnlyDefinition": true,
    "readOnlyValue": true,
    "readOnlyOptions": true
  },
  "referencedObjectType": "<string>",
  "sensitiveDataCategories": [
    "<string>"
  ],
  "showCurrencySymbol": true,
  "updatedAt": "2023-11-07T05:31:56Z",
  "updatedUserId": "<string>"
}
{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

eventName
string
必須
propertyName
string
必須

ボディ

application/json
description
string

HubSpotにヘルプテキストとして表示されるプロパティーの説明。

label
string

人間が読めるプロパティーのラベル。HubSpot UIで使用されます

options
object[]

列挙プロパティーに使用可能なオプションのリスト。メモ:このフィールドは列挙型のプロパティーにのみ適用されます。

レスポンス

successful operation

HubSpotプロパティー

description
string
必須

プロパティーの目的の要約。

fieldType
string
必須

HubSpotのUIまたはフォーム上でプロパティーがどう表示されるかを指定します。詳細はプロパティーAPIガイドをご確認ください。

groupName
string
必須

プロパティーが割り当てられているグループの名前。

label
string
必須

プロパティーの表示ラベル。

name
string
必須

プロパティーの内部名。

options
object[]
必須

プロパティーの有効なオプションのリスト。このフィールドは列挙型のプロパティーに必要です。

type
string
必須

文字列や数値など、プロパティーのデータ型。

archived
boolean

プロパティーがアーカイブされているかどうか。

archivedAt
string<date-time>

プロパティーがアーカイブされた時刻のタイムスタンプ(ISO 8601形式)。

calculated
boolean

プロパティーが計算フィールドかどうか。

calculationFormula
string

計算プロパティーに使用される式。

createdAt
string<date-time>

プロパティーが作成された時刻のタイムスタンプ(ISO 8601形式)。

createdUserId
string

プロパティーを作成したユーザーのID。

currencyPropertyName
string

関連する通貨プロパティーの名前。

dataSensitivity
enum<string>

「non_sensitive」、「sensitive」、「highly_sensitive」など、プロパティーのセンシティブ(慎重に扱うべき)レベルを示します。

利用可能なオプション:
highly_sensitive,
non_sensitive,
sensitive
dateDisplayHint
enum<string>
利用可能なオプション:
absolute,
absolute_with_relative,
time_since,
time_until
displayOrder
integer<int32>

リスト内項目の他の項目との相対位置。

externalOptions
boolean

列挙型のプロパティーにのみ適用されます。trueに設定し、「referencedObjectType」を「OWNER」に設定します。それ以外の場合はfalse。

formField
boolean

プロパティーをフォームで表示できるかどうか。

hasUniqueValue
boolean

プロパティーが固有IDプロパティーかどうか。

hidden
boolean

プロパティーをHubSpot UIから非表示にするかどうか。カスタムプロパティーの場合は、これをfalseに設定することが推奨されます。

:

false

hubspotDefined
boolean

HubSpotデフォルトプロパティーについてtrueに設定されるブール値。

modificationMetadata
object
numberDisplayHint
enum<string>

HubSpotのUIでの数値プロパティーの表示方法と検証方法に関するヒント。「unformatted」、「formatted」、「currency」、「percentage」、「duration」、「probability」のいずれかにできます。

利用可能なオプション:
currency,
duration,
formatted,
percentage,
probability,
unformatted
referencedObjectType
string

非推奨。代わりにexternalOptionsReferenceTypeを使用してください。

sensitiveDataCategories
string[]

sensitiveDataがtrueの場合、プロパティーに含まれるセンシティブデータのタイプを示します(例:「HIPAA」)。

showCurrencySymbol
boolean

HubSpotのUIに通貨記号を表示するかどうか。

textDisplayHint
enum<string>

HubSpotのUIでのテキストの表示方法と検証方法に関するヒント。「unformatted_single_line」、「multi_line」、「email」、「phone_number」、「domain_name」、「ip_address」、「physical_address」、「postal_code」のいずれかにできます。

利用可能なオプション:
domain_name,
email,
ip_address,
multi_line,
phone_number,
physical_address,
postal_code,
unformatted_single_line
updatedAt
string<date-time>

プロパティーが最後に更新されたタイムスタンプ(ISO 8601形式)。

updatedUserId
string
最終更新日 2026年4月10日